Package org.eclipse.lemminx.extensions.references.settings

## Class XMLReferencesSettings

- java.lang.Object
- - org.eclipse.lemminx.extensions.references.settings.XMLReferencesSettings

    public class XMLReferencesSettings
    extends Object

XML references settings: `"xml.references": [ // references for tei.xml files { "pattern": "*.xml", "expressions": [ { "prefix": "#", "from": "@resp", "to": "persName/@xml:id" }, { "prefix": "#", "from": "@corresp", "to": "@xml:id" } ] }, // references for docbook.xml files { "pattern": "*.xml", "expressions": [ { "from": "xref/@linkend", "to": "@id" } ] } ]`

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLReferencesSettings()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`List<XMLReferences>` `getReferences()`
`static XMLReferencesSettings` `getXMLReferencesSettings​(Object initializationOptionsSettings)`
`void` `setReferences​(List<XMLReferences> references)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLReferencesSettings

    public XMLReferencesSettings()

### Method Detail

#### getReferences

    public List<XMLReferences> getReferences()

#### setReferences

    public void setReferences​(List<XMLReferences> references)

#### getXMLReferencesSettings

    public static XMLReferencesSettings getXMLReferencesSettings​(Object initializationOptionsSettings)